> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all callouts

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/callouts/

Return the list of callouts details information belonging to a directory

Reference: https://docs.partnerpage.io/api-reference/directory/callouts/get-all-callouts

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — ID of the directory containing the callouts

## Response

### 200

Successful operation

- `list of CalloutSerializerReader`

## Types

### CalloutSerializerReader

Callouts read serializer

- `href` (string, required)
- `name` (string, required)
- `id` (string, required)
- `textColor` (string, optional, nullable)
- `backgroundColor` (string, optional, nullable)

## Examples

**Response**

```json
[
  {
    "0": {
      "backgroundColor": null,
      "href": "/api/directory/private/v1alpha/directories/e2b2a65f-0972-4fb4-96bb-498a63411bb6/callouts/cdc0f6d9-9261-4e5d-956f-c980440452b7/",
      "id": "cdc0f6d9-9261-4e5d-956f-c980440452b7",
      "name": "Accounting",
      "textColor": "635BFF"
    },
    "1": {
      "backgroundColor": "E8E6FF",
      "href": "/api/directory/private/v1alpha/directories/e2b2a65f-0972-4fb4-96bb-498a63411bb6/callouts/e071a25d-007c-479c-be1f-50a8970210c6/",
      "id": "e071a25d-007c-479c-be1f-50a8970210c6",
      "name": "CRM",
      "textColor": null
    },
    "href": "string",
    "name": "string",
    "id": "string"
  }
]
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/callouts/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/callouts/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```